Index: code/branches/ogre1.9/data/gui/layouts/MiscConfigMenu.layout
===================================================================
--- code/branches/ogre1.9/data/gui/layouts/MiscConfigMenu.layout	(revision 11125)
+++ code/branches/ogre1.9/data/gui/layouts/MiscConfigMenu.layout	(revision 11211)
@@ -1,50 +1,49 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="MenuWidgets/StaticImage" Name="orxonox/MiscConfigMenu/Background" >
-        <Property Name="FrameEnabled" Value="False" />
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/MicsConfigMenu/ConfigWindow" >
-            <Property Name="Text" Value="Miscellaneous" />
-            <Property Name="Alpha" Value="0.8" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.15,0},{0.2125,0},{0.85,0},{0.6375,0}}" />
-            <Window Type="MenuWidgets/StaticText" Name="orxonox/MiscConfigMenu/Wrapper" >
-                <Property Name="TextColours" Value="FF4444FF" />
-                <Property Name="InheritsAlpha" Value="False" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="HorzFormatting" Value="HorzCentred" />
-                <Property Name="VertFormatting" Value="TopAligned" />
-                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.92,0}}" />
-                <Window Type="MenuWidgets/ScrollablePane" Name="orxonox/MiscConfigMenu/MiscConfigPane" >
-                    <Property Name="ContentArea" Value="l:0 t:0 r:0 b:0" />
-                    <Property Name="HorzStepSize" Value="0.005" />
-                    <Property Name="VertStepSize" Value="0.005" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="HorzOverlapSize" Value="0.01" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.005,0},{0.01,0},{0.995,0},{0.99,0}}" />
-                    <Property Name="VertOverlapSize" Value="0.01" />
-                    <Property Name="HorzScrollPosition" Value="0" />
-                    <Property Name="VertScrollPosition" Value="0" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="Background" type="MenuWidgets/StaticImage">
+        <Property name="FrameEnabled" value="False" />
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property name="BackgroundEnabled" value="False" />
+        <Window name="ConfigWindow" type="MenuWidgets/StaticText">
+            <Property name="Text" value="Miscellaneous" />
+            <Property name="Alpha" value="0.8" />
+            <Property name="InheritsAlpha" value="False" />
+            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="VertFormatting" value="TopAligned" />
+            <Property name="Area" value="{{0.15,0},{0.2125,0},{0.85,0},{0.6375,0}}" />
+            <Window name="Wrapper" type="MenuWidgets/StaticText">
+                <Property name="TextColours" value="FF4444FF" />
+                <Property name="InheritsAlpha" value="False" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="VertFormatting" value="TopAligned" />
+                <Property name="Area" value="{{0.05,0},{0.15,0},{0.95,0},{0.92,0}}" />
+                <Window name="MiscConfigPane" type="MenuWidgets/ScrollablePane">
+                    <Property name="ContentArea" value="l:0 t:0 r:0 b:0" />
+                    <Property name="HorzStepSize" value="0.005" />
+                    <Property name="VertStepSize" value="0.005" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="HorzOverlapSize" value="0.01" />
+                    <Property name="Area" value="{{0.005,0},{0.01,0},{0.995,0},{0.99,0}}" />
+                    <Property name="VertOverlapSize" value="0.01" />
+                    <Property name="HorzScrollPosition" value="0" />
+                    <Property name="VertScrollPosition" value="0" />
                 </Window>
             </Window>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/MiscConfigMenu/CancelButton" >
-            <Property Name="Text" Value="Cancel" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.725,0},{0.4,0},{0.775,0}}" />
-            <Event Name="Clicked" Function="MiscConfigMenu.MiscConfigCancelButton_clicked"/>
+        <Window name="CancelButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Cancel" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.25,0},{0.725,0},{0.4,0},{0.775,0}}" />
+            <Event function="MiscConfigMenu.MiscConfigCancelButton_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/MiscConfigMenu/OKButton" >
-            <Property Name="Text" Value="OK" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.6,0},{0.725,0},{0.75,0},{0.775,0}}" />
-            <Event Name="Clicked" Function="MiscConfigMenu.MiscConfigOKButton_clicked"/>
+        <Window name="OKButton" type="MenuWidgets/Button">
+            <Property name="Text" value="OK" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.6,0},{0.725,0},{0.75,0},{0.775,0}}" />
+            <Event function="MiscConfigMenu.MiscConfigOKButton_clicked" name="Clicked" />
         </Window>
     </Window>
